#include <stdio.h>
#include <time.h>
#include	<sys/types.h>

#include <syslog.h>
#include "radiusd.h"


void acct_syslog(char *nasname, AUTH_REQ *authreq, int authtype)
{
	char			logentry[2048];
	VALUE_PAIR	*pair;
	long			curtime;

	curtime = time(0);
	sprintf(logentry, "%s, ", nasname);

	/* Write each attribute/value to the log file */
	pair = authreq->request;
	while(pair != (VALUE_PAIR *)NULL) {
		if (pair->attribute != PW_PASSWORD) {
			sprint_attr_val(logentry + strlen(logentry), pair);
			sprintf(logentry + strlen(logentry), ", ");
		}
		pair = pair->next;
	}

	/*
	 *	Add non-protocol attibutes.
	 */
	sprintf(logentry + strlen(logentry), "Timestamp = %ld", curtime);
	switch(authtype) {
		case 0:
			sprintf(logentry + strlen(logentry), ", Request-Authenticator = Verified");
			break;
		case 1:
			sprintf(logentry + strlen(logentry), ", Request-Authenticator = None");
			break;
		case 2:
			sprintf(logentry + strlen(logentry), ", Request-Authenticator = Unverified");
			break;
		default:
			break;
	}
	syslog(LOG_INFO |LOG_LOCAL3, logentry);
}


void log_syslog(AUTH_REQ *authreq, int err, char *errstr)
{
	char			logentry[2048];
	VALUE_PAIR	*pair;
	long			curtime;
	int			priority = LOG_NOTICE;

	logentry[0] = 0;
	curtime = time(0);

	if (authreq != NULL)
	{
		pair = authreq->request;
		while(pair != (VALUE_PAIR *)NULL)
		{
			if (pair->attribute != PW_PASSWORD)
			{
				sprint_attr_val(logentry + strlen(logentry), pair);
				sprintf(logentry + strlen(logentry), ", ");
			}
			pair = pair->next;
		}
	}
	sprintf(logentry + strlen(logentry), "Timestamp = %ld, Result = %d", curtime, err);
	if (errstr != NULL)
		sprintf(logentry + strlen(logentry), ", Resultstring = %s", errstr);

	if (err <= -128)
		priority = LOG_WARNING;
	else if (err <= -32768)
		priority = LOG_ERR;

	syslog(LOG_NOTICE |LOG_LOCAL3, logentry);
}
