/* Default Database File Names */

#define RADIUS_DIR		"/var/radiusd/raddb"
#define RADLOG_DIR		"/var/radiusd/log"

#ifdef aix
/*
 *	AIX puts its log giles somewhere else.
 *	submitted by Ewan Leith <ejl@man.fraser-williams.com>
 */
#undef RADLOG_DIR
#define RADLOG_DIR		"/var/adm/logs"
#endif

#define RADACCT_DIR		(RADLOG_DIR "/radacct")


#define RADIUS_DICTIONARY	"dictionary"
#define RADIUS_CLIENTS		"clients"
#define RADIUS_NASLIST		"naslist"
#define RADIUS_USERS		"users"
#define RADIUS_HOLD		"holdusers"
#define RADIUS_LOG		"radius.log"
#define RADIUS_HINTS		"hints"
#define RADIUS_HUNTGROUPS	"huntgroups"
#define RADIUS_REALMS		"realms"

/*
 * BH 2001030101
 * BH 2001063001
 * ldaps contains ldapservers to query
 * ldap.attrmap contains attribute mappings between RADIUS and LDAP
 */
#ifdef AUTHLDAP
#define RADIUS_LDAPS	"ldaps"
#define RADIUS_LDAPAMAP	"ldap.attrmap"
#endif

#define RADUTMP			(RADLOG_DIR "/radutmp")
#define RADWTMP			(RADLOG_DIR "/radwtmp")

#define RADIUS_PID		"/var/radiusd/log/radiusd.pid"

#ifdef aix
/*
 *  More AIX changes.  Apparently it doesn't have a '/var/run' directory.
 */
#undef RADIUS_PID
#define RADIUS_PID		(RADLOG_DIR "/radacct/radiusd.pid")
#endif

#define CHECKRAD1		"/var/radiusd/sbin/checkrad"
#define CHECKRAD2		"/usr/local/sbin/checkrad"

/* Hack for funky ascend ports on MAX 4048 (and probably others)
   The "NAS-Port-Id" value is "xyyzz" where "x" = 1 for digital, 2 for analog;
   "yy" = line number (1 for first PRI/T1/E1, 2 for second, so on);
   "zz" = channel number (on the PRI or Channelized T1/E1).
    This should work with normal terminal servers, unless you have a TS with
        more than 9999 ports ;^).
    The "ASCEND_CHANNELS_PER_LINE" is the number of channels for each line into
        the unit.  For my US/PRI that's 23.  A US/T1 would be 24, and a
        European E1 would be 30 (I think ... never had one ;^).
    This will NOT change the "NAS-Port-Id" reported in the detail log.  This
        is simply to fix the dynamic IP assignments a la Cistron.
    WARNING: This hack works for me, but I only have one PRI!!!  I've not
        tested it on 2 or more (or with models other than the Max 4048)
    Use at your own risk!
  -- dgreer@austintx.com
*/
#define ASCEND_PORT_HACK
#define ASCEND_CHANNELS_PER_LINE        23

/*
 *	Hack for USR gear - uses a different Vendor-Specific attribute
 *	packet layout, argh.
 */
#define ATTRIB_NMC

/*
 *	Hack to enable use of 1.5.4.3 dictionaries.
 */
#define COMPAT_1543

/*
 *	Define ldaphost, dn and default realm (if no realm ist given) to connect
 *	and all other necessary LDAP attributes
 *	BH 2001030101
 */
#ifdef AUTHLDAP

/* userPassword attribute name */
#define ALDAP_ATTR_UPASS "userPassword"
/* dn to search for uid */
#define ALDAP_DN "uid=%s, dc=%s, ou=users, ou=aaa, ou=services, dc=foo, dc=bar"
/* dn to search for realm */
#define ALDAP_RDN "dc=%s, host=%s, ou=servers, ou=aaa, ou=services, dc=foo, dc=bar"
/* dn to search for clients */
#define ALDAP_CDN "ipHostNumber=%s, ou=clients, ou=aaa, ou=services, dc=foo, dc=bar"
/* attribute that contains realms in ALDAP_CDN for grouping clients/realms */
#define ALDAP_ATTR_REALM "ou"
/* default realm if no realm is appended */
#define ALDAP_REALM "realm1"
/* attribute which contains realm for rewriting */
#define ALDAP_REALM_RW "seeAlso"
/* attribute which contains ip address */
#define ALDAP_IPHOST "host"
/* attribute which contains auth-port of host */
#define ALDAP_IPPORT "authHostPortNumber"
/* attribute which contains strip/nostrip info */
#define ALDAP_STRIP "radiusServerFlags"
/* attribute which contains secret */
#define ALDAP_SECRET "sharedKey"
/* localhost used to identify localhost if no proxying should be done
 * respectivly no ALDAP_IPHOST attribute does appear in directory
 */
#define ALDAP_LOCALHOST localip()
/* default auth-port, if no attribute given in directory */
#define ALDAP_DEFPORT 1812
/* define max timeout in secs for LDAP operations */
#define ALDAP_MAXTIMEOUT 2

#endif
